# Based on xz-5.2.1-1.fc23

%{!?_pkgdocdir:%global _pkgdocdir %%_docdir/%%name}

Summary:	LZMA compression utilities
Name:		xz5
Version:	5.2.1
Release:	2%{?dist}

# Scripts xz{grep,diff,less,more} and symlinks (copied from gzip) are
# GPLv2+, binaries are Public Domain (linked against LGPL getopt_long but its
# OK), documentation is Public Domain.
License:	GPLv2+ and Public Domain
Group:		Applications/File
# official upstream release
Source0:	http://tukaani.org/xz/xz-%{version}.tar.xz
Patch0:		xz-pipe2.patch
Provides:	xz = %{version}-%{release}
Obsoletes:	xz <= 4.999.9

URL:		http://tukaani.org/xz
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
XZ Utils are an attempt to make LZMA compression easy to use on free (as in
freedom) operating systems. This is achieved by providing tools and libraries
which are similar to use than the equivalents of the most popular existing
compression algorithms.

LZMA is a general purpose compression algorithm designed by Igor Pavlov as
part of 7-Zip. It provides high compression ratio while keeping the
decompression speed fast.

This RPM has been provided by Red Hat for testing purposes only and is
NOT supported for any other use. This RPM may contain changes that are
necessary for debugging but that are not appropriate for other uses,
or that are not compatible with third-party hardware or software. This
RPM should NOT be deployed for purposes other than testing and
debugging.

%package 	libs
Summary:	Libraries for decoding LZMA compression
Group:		System Environment/Libraries
License:	Public Domain

%description 	libs
Libraries for decoding files compressed with LZMA or XZ utils.

%package 	static
Summary:	Statically linked library for decoding LZMA compression
Group:		System Environment/Libraries
License:	Public Domain

%description 	static
Statically linked library for decoding files compressed with LZMA or
XZ utils.  Most users should *not* install this.

%package 	devel
Summary:	Devel libraries & headers for liblzma
Group:		Development/Libraries
License:	Public Domain
Requires:	%{name}-libs%{?_isa} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
Devel libraries and headers for liblzma.

%package 	lzma-compat
Summary:	Older LZMA format compatibility binaries
Group:		Development/Libraries
# Just a set of symlinks to 'xz' + two Public Domain binaries.
License:	Public Domain
Requires:	%{name}%{?_isa} = %{version}-%{release}
Obsoletes:	lzma < %{version}
Provides:	lzma = %{version}
Provides:	xz-lzma-compat = %{version}-%{release}
Obsoletes:	xz-lzma-compat <= 4.999.9

%description	lzma-compat
The lzma-compat package contains compatibility links for older
commands that deal with the older LZMA format.

%prep
%setup -q -n xz-%{version}
%if 0%{?rhel} > 6
%patch0 -p1
autoreconf -ifs
%endif

for i in `find . -name config.sub`; do
  perl -pi -e "s/ppc64-\*/ppc64-\* \| ppc64p7-\*/" $i
done

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64"
%ifarch %{power64}
    CFLAGS=`echo $CFLAGS | xargs -n 1 | sed 's|^-O2$|-O3|g' | xargs -n 100`
%endif
export CFLAGS

%configure
%if 0%{?rhel} <= 6
sed -i -e 's/#define HAVE_PIPE2 1/#undef HAVE_PIPE2/' config.h
%endif
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang xz

%check
LD_LIBRARY_PATH=$PWD/src/liblzma/.libs make check

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files -f xz.lang
%doc %{_docdir}/xz
%exclude %{_docdir}/xz/examples*
%{_bindir}/*xz*
%{_mandir}/man1/*xz*

%files libs
%doc %{_docdir}/xz/COPYING
%{_libdir}/lib*.so.5*

%files static
%doc %{_docdir}/xz/COPYING
%{_libdir}/liblzma.a

%files devel
%dir %{_includedir}/lzma
%{_includedir}/lzma/*.h
%{_includedir}/lzma.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/liblzma.pc
%doc %{_docdir}/xz/examples*

%files lzma-compat
%{_bindir}/*lz*
%{_mandir}/man1/*lz*

%changelog
* Tue Jun 16 2015 Paulo Andrade <pandrade@redhat.com> - 5.2.1-2
- Correct build on RHEL 5.

* Mon Jun  8 2015 Paulo Andrade <pandrade@redhat.com> - 5.2.1-1
- Experimental xz5-5.2.1 for RHEL 6.
